Index: channels/chan_iax2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax2.c,v
retrieving revision 1.319
diff -u -r1.319 chan_iax2.c
--- channels/chan_iax2.c	12 Jul 2005 14:46:20 -0000	1.319
+++ channels/chan_iax2.c	14 Jul 2005 16:13:54 -0000
@@ -3293,6 +3293,7 @@
 	struct ast_channel *tmp;
 	struct chan_iax2_pvt *i;
 	struct ast_variable *v = NULL;
+	char iabuf[INET_ADDRSTRLEN];
 
 	/* Don't hold call lock */
 	ast_mutex_unlock(&iaxsl[callno]);
@@ -3346,6 +3347,7 @@
 				tmp = NULL;
 			}
 		}
+		pbx_builtin_setvar_helper(tmp, "REMOTE_ADDR", ast_inet_ntoa(iabuf, sizeof(iabuf), i->addr.sin_addr));
 		for (v = i->vars ; v ; v = v->next)
 			pbx_builtin_setvar_helper(tmp,v->name,v->value);
 		
Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.779
diff -u -r1.779 chan_sip.c
--- channels/chan_sip.c	13 Jul 2005 18:06:49 -0000	1.779
+++ channels/chan_sip.c	14 Jul 2005 16:14:02 -0000
@@ -2503,6 +2503,7 @@
 	struct ast_channel *tmp;
 	struct ast_variable *v = NULL;
 	int fmt;
+	char iabuf[INET_ADDRSTRLEN];
 	
 	ast_mutex_unlock(&i->lock);
 	/* Don't hold a sip pvt lock while we allocate a channel */
@@ -2580,6 +2581,7 @@
 	if (!ast_strlen_zero(i->exten) && strcmp(i->exten, "s"))
 		tmp->cid.cid_dnid = strdup(i->exten);
 	tmp->priority = 1;
+	pbx_builtin_setvar_helper(tmp, "REMOTE_ADDR", ast_inet_ntoa(iabuf, sizeof(iabuf), i->recv.sin_addr));
 	if (!ast_strlen_zero(i->uri)) {
 		pbx_builtin_setvar_helper(tmp, "SIPURI", i->uri);
 	}

